#ifndef __PROCESS_H
#define __PROCESS_H

#ifndef __DEFS_H__
#include <defs.h>
#endif

#define P_WAIT    0
#define P_NOWAIT  1
#define P_OVERLAY 2

#ifdef __cplusplus
extern "C" {
#endif

int        RTL_NORM execl(const char *path, const char *argv0,...);
int        RTL_NORMexecle(const char *path, const char *argv0,...);
int        RTL_NORMexeclp(const char *path, const char *argv0,...);
int        RTL_NORMexeclpe(const char *path, const char *argv0,...);
int        RTL_NORMexecv(const char *path, const char **argv);
int        RTL_NORMexecve(const char *path, const char **argv, const char **env);
int        RTL_NORMexecvp(const char *path, const char **argv);
int        RTL_NORMexecvpe(const char *path, const char **argv, const char **env);

int        RTL_NORMspawnl(int mode,const char *path, const char *argv0,...);
int        RTL_NORMspawnle(int mode,const char *path, const char *argv0,...);
int        RTL_NORMspawnlp(int mode,const char *path, const char *argv0,...);
int        RTL_NORMspawnlpe(int mode,const char *path, const char *argv0,...);
int        RTL_NORMspawnv(int mode,const char *path, const char **argv);
int        RTL_NORMspawnve(int mode,const char *path, const char **argv, const char **env);
int        RTL_NORMspawnvp(int mode,const char *path, const char **argv);
int        RTL_NORMspawnvpe(int mode,const char *path, const char **argv, const char **env);

#ifdef __cplusplus
};
#endif

#endif /* __PROCESS_H */